# -*- coding: utf-8 -*-

import string
import math
from collections import defaultdict

freqs = defaultdict(int)

with open("/Users/filippogrillotti/Desktop/output.txt", "rb") as infile:
    for line in infile:
        if line[0].isdigit():
            uLine = unicode(line.strip(), "utf8")
            t_id, forma,lemma, pos, dpos, cpos = uLine.split("\t")
            if pos in ["NC", "NPP","ADJ","CC","PONCT","CLO","DET","V","VINF","P","PD","PRO","PPRO","PROREL","CLR","VPP","CLS","VIMP","ADV","ADVWH", "CS", "DETWH","I","VPR","VS","ET"]:
                freqs[pos]+=1

TokenTot = sum(freqs.values())
#conto tutti i sostantivi presenti nel testo attraverso la variabile sostantivi che li somma tutti
sostantivi = freqs["NC"] + freqs["NPP"]
#conto tutti i verbi presenti nel testo attraverso la variabile verbi che li somma tutti
verbi = freqs["V"] + freqs["VINF"] + freqs["VPP"] + freqs["VIMP"] + freqs["VPR"] +  freqs["VS"]
#conto tutti gli aggettivi presenti nel testo attraverso la variabile aggettivi che li somma tutti
aggettivi = freqs["ADJ"]
#conto tutti gli avverbi presenti nel testo attraverso la variabile avverbi che li somma tutti
avverbi = freqs["ADV"] + freqs["ADVWH"]
#conto il numero dei segni di punteggiatura atraverso la variabile segni che li somma tutti
segni = freqs["PONCT"]
#calcolo la densità lessicale facento il rapporto tra le variabili sopra indicate e il numero totale delle parole del testo, esclusi i segni di punteggiiatura
densitaLessicale= (1.0*(sostantivi)+1.0*(verbi)+1.0*(avverbi)+1.0*(aggettivi))/(TokenTot-segni*1.0)
#creo una variabile che calcoli il rapporto tra sostantivi e verbi, indice di variazioni di registro linguistico
indiceVarRegLin= (sostantivi)*1.0/(verbi)*1.0
print "Il numero totale di token è pari a:", TokenTot
print "La densità lessicale è pari a:", densitaLessicale
print "L'indice di variazione di registro linguistico è pari a:", indiceVarRegLin









